/*
Copyright (c) 2000, Reminders On-Line, Inc. (ROL) 
All rights reserved.

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions
are met:

Redistributions of source code must retain the above copyright notice, 
this list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice, 
this list of conditions and the following disclaimer in the documentation 
and/or other materials provided with the distribution.

Neither the name of the Reminders On-Line nor the names of its contributors 
may be used to endorse or promote products derived from this software 
without specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE. 
*/

package com.niggle.data.metadata;

import com.niggle.data.*;
import com.niggle.util.*;
import java.util.*;

/**
 * A descriptor for a field that holds a time zone
 * @author <a href="jrevusky@bigfoot.com">Jonathan Revusky</a>
 */

public class TimeZoneField extends Field
{
   static final Class timeZoneClass = TimeZone.class;

   public Class getJavaType()
   {
       return timeZoneClass;
   }

/**
 * @param The id of the timezone or full name. Given the way the
 * java.util.TimeZone code works, this will just get massaged into
 * plain GMT if you pass in a nonsense value. MAYBE REVISIT.
 */
   public Object getObjectFromString(Record rec, String value) throws MangledDataException
   {
       if (!Util.hasContent(value))
          return null; // maybe should get massaged into TimeZone.getDefault()
       return TimeZone.getTimeZone(value);
   }

   public String valueToString(Object value)
   {
       if (value == null)
          return "";
       return ((TimeZone) value).getID();
   }
}
