/*
Copyright (c) 2000, Reminders On-Line, Inc. (ROL)
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.

Neither the name of the Reminders On-Line nor the names of its contributors
may be used to endorse or promote products derived from this software
without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
*/

package com.niggle.servlet;

import java.util.Properties;

 /**
  * Constants used in Niggle
  * @author <a href="mailto:jrevusky@bigfoot.com">Jonathan Revusky</a>
  */
public interface NiggleConstants
{
    /**
     * A key used to identify an action, what the server should do with the
     * incoming CGI form messages.  Included in our URLs.
     * e.g. &action=home
     */
    String ACTION_KEY = "action";

    /**
     *  A key used to identify the session.  Included in our URLs.
     *  e.g. &sid=2, which login session are we talking to.
     */
    String SESSION_ID_KEY = "sid";

    /**
     * A key used to identify the user for logins.
     * A key used to identify the user.  Included in our URLs.
     * e.g. &uid=joe, login id. Echoed back with every screen.
     */
    String USER_ID_KEY = "uid";

    /**
     *  A key used to identify the password.
     *  e.g. &password=sesame
     */
    String PASSWORD_KEY = "password";

    /**
     *  Supplementary information, &supp=param
     */
    String SUPP_INFO_PARAM_KEY = "supp";

    /**
     * The name under which the SessionManager is "registered"
     * in the default Data registry.
     */
    String SESSION_MANAGER_KEY = "sessions";

    /**
     * The name of the file in which session info is stored
     * by default.
     */
    String SESSION_STORE_FILENAME = "sessions";

    String LOGIN_TEMPLATE = "login.html";
    String MESSAGE_TEMPLATE = "message.html";
    String ERROR_TEMPLATE = "error.html";
    String LOGOUT_CONFIRM_TEMPLATE = "logoutConfirmation.html";
}
